<div class="card ne-list">
  <div class="card-header p-0 m-0">
    <nav aria-label="Page navigation example">
      <ul class="pagination pagination-sm justify-content-center m-0 p-1">
        <li class="page-item" *ngFor="let key of navigationKeys" [class.active]="selectedKey === key">
          <span class="page-link" (click)="selectKey(key)">{{key}}</span>
        </li>
      </ul>
    </nav>
  </div>
  <div class="card-body ne-list-body p-0 m-0"
    infiniteScroll
    [infiniteScrollDistance]="2"
    [infiniteScrollThrottle]="100"
    [scrollWindow]="false"
    (scrolled)="loadMoreElements()">
    <div *ngIf="(persons$ | async) as persons; else loading">
      <div *ngFor="let person of getVisiblePersons()">
        <evt-named-entity [inList]="true"
          [entity]="namedEntities.getPersonEntity(person.id)"></evt-named-entity>
        </div>
        <div *ngIf="persons.length === 0" class="ne-list-msg">
            {{ 'NoEntities' | translate:lang }}
        </div>
    </div>
    <ng-template #loading class="ne-list-msg">
      {{ 'LoadingEntities' | translate:lang }}
    </ng-template>
    <!--<ul class="list-group list-group-flush">
      <li class="list-group-item" *ngFor="let item of getListItemsAtKey(selectedKey)">
        {{ item }}
      </li>
    </ul>-->
  </div>
</div>